Loading...
Searching...
No Matches
volk_16ic_x2_multiply_16ic.h File Reference
`#include <volk/volk_common.h>`
`#include <volk/volk_complex.h>`
`#include <emmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_16ic_x2_multiply_16ic_generic (lv_16sc_t *result, const lv_16sc_t *in_a, const lv_16sc_t *in_b, unsigned int num_points)
static void | volk_16ic_x2_multiply_16ic_a_sse2 (lv_16sc_t *out, const lv_16sc_t *in_a, const lv_16sc_t *in_b, unsigned int num_points)
static void | volk_16ic_x2_multiply_16ic_u_sse2 (lv_16sc_t *out, const lv_16sc_t *in_a, const lv_16sc_t *in_b, unsigned int num_points)
static void | volk_16ic_x2_multiply_16ic_neon (lv_16sc_t *out, const lv_16sc_t *in_a, const lv_16sc_t *in_b, unsigned int num_points)

## Function Documentation

## volk_16ic_x2_multiply_16ic_a_sse2()

void volk_16ic_x2_multiply_16ic_a_sse2 | ( | lv_16sc_t * | out,
|  | const lv_16sc_t * | in_a,
|  | const lv_16sc_t * | in_b,
|  | unsigned int | num_points )

inline static

## volk_16ic_x2_multiply_16ic_generic()

void volk_16ic_x2_multiply_16ic_generic | ( | lv_16sc_t * | result,
|  | const lv_16sc_t * | in_a,
|  | const lv_16sc_t * | in_b,
|  | unsigned int | num_points )

inline static

## volk_16ic_x2_multiply_16ic_neon()

void volk_16ic_x2_multiply_16ic_neon | ( | lv_16sc_t * | out,
|  | const lv_16sc_t * | in_a,
|  | const lv_16sc_t * | in_b,
|  | unsigned int | num_points )

inline static

## volk_16ic_x2_multiply_16ic_u_sse2()

void volk_16ic_x2_multiply_16ic_u_sse2 | ( | lv_16sc_t * | out,
|  | const lv_16sc_t * | in_a,
|  | const lv_16sc_t * | in_b,
|  | unsigned int | num_points )

inline static